Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util
Class DoublyLinkedList.Node

    java.lang.Object
      org.apache.batik.util.DoublyLinkedList.Node

Direct Known Subclasses:
  LRUCache.LRUNode, RunnableQueue.Link

Enclosing class:
  DoublyLinkedList

    public static class DoublyLinkedList.Node

extends Object

Basic doubly linked list node interface.

Constructor Summary
`DoublyLinkedList.Node()`

Method Summary
`DoublyLinkedList.Node` | `getNext()`
`DoublyLinkedList.Node` | `getPrev()`
`protected void` | `insertBefore(DoublyLinkedList.Node nde)` Link this node in, infront of nde (unlinks it's self before hand if needed).
`protected void` | `setNext(DoublyLinkedList.Node newNext)`
`protected void` | `setPrev(DoublyLinkedList.Node newPrev)`
`protected void` | `unlink()` Unlink this node from it's current list...

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoublyLinkedList.Node

    public DoublyLinkedList.Node()

Method Detail

### getNext

    public final DoublyLinkedList.Node getNext()

### getPrev

    public final DoublyLinkedList.Node getPrev()

### setNext

    protected final void setNext(DoublyLinkedList.Node newNext)

### setPrev

    protected final void setPrev(DoublyLinkedList.Node newPrev)

### unlink

    protected final void unlink()

  Unlink this node from it's current list...

### insertBefore

    protected final void insertBefore(DoublyLinkedList.Node nde)

  Link this node in, infront of nde (unlinks it's self before hand if needed).

  Parameters:
    `nde` - the node to link in before.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.